Bug 348362 - Wish: 'Today' button to easily return to today's date.
Summary: Wish: 'Today' button to easily return to today's date.
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Calendar (show other bugs)
Version: 5.3.0
Platform: OpenSUSE Linux
: NOR wishlist
Target Milestone: 1.0
Assignee: Martin Klapetek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-28 11:37 UTC by Paul
Modified: 2016-02-07 23:10 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul 2015-05-28 11:37:18 UTC
If one navigates away from today's date (by more than the current month), there is no way to easily return, other than to close and re-open the calendar widget. 4.x had a 'Today' button, it would be really useful if this was re-instated :)

Reproducible: Always
Comment 1 Bernhard Friedreich 2015-07-19 16:41:32 UTC
Confirming this feature is missing in current plasma git.

Added ReviewRequest for readding the button: https://git.reviewboard.kde.org/r/124397/
Comment 2 Kai Uwe Broulik 2016-02-07 23:10:33 UTC
Git commit 4ebf130ee66a912a5dac360441a8c0060eab247e by Kai Uwe Broulik.
Committed on 07/02/2016 at 23:07.
Pushed by broulik into branch 'master'.

[Calendar] Add proper back/forward buttons and a "Today" button

This removes the custom label-based triangles and replaces them with proper ToolButtons
using proper icons. It also adds a "Today" button to return to the current day.
The tooltips on the buttons reflect the actual action ("Previous Month", "Previous Year",
"Previous Decade", depending on the zoom level).

Furthermore, the day names and week numbers now use the regular font size but they're still
visually disconnected. The day names row is hidden in the zoom levels now.

REVIEW: 126960
Related: bug 336124, bug 358536

M  +5    -1    src/declarativeimports/calendar/qml/DayDelegate.qml
M  +69   -80   src/declarativeimports/calendar/qml/DaysCalendar.qml
M  +10   -1    src/declarativeimports/calendar/qml/MonthView.qml

http://commits.kde.org/plasma-framework/4ebf130ee66a912a5dac360441a8c0060eab247e